> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ezytail.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Push new orders

> Will import new orders into the system and return errors if any



## OpenAPI

````yaml post /orders
openapi: 3.0.4
info:
  title: EzyConnect API
  description: API to Ezytail Logistics Platform
  contact:
    name: Ezytail
    url: https://ezytail.com
    email: contact@ezytail.com
  version: v1
servers: []
security:
  - Bearer: []
paths:
  /orders:
    post:
      tags:
        - Orders
      summary: Push new orders
      description: Will import new orders into the system and return errors if any
      operationId: AddOrder
      parameters:
        - name: validationOnly
          in: query
          schema:
            type: boolean
            default: false
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/Order'
          text/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/Order'
          application/*+json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/Order'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/OperationResult'
            application/json:
              schema:
                $ref: '#/components/schemas/OperationResult'
            text/json:
              schema:
                $ref: '#/components/schemas/OperationResult'
        '206':
          description: Partial Content
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '500':
          description: Internal Server Error
        default:
          description: Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    Order:
      required:
        - activityCode
        - activityName
        - customerOrderPlacementDate
        - deliveryAddressAddress1
        - deliveryAddressCity
        - deliveryAddressCountry
        - deliveryAddressEmail
        - deliveryAddressLastname
        - deliveryAddressPhone
        - deliveryAddressPostalCode
        - orderUniqueID
        - transportServiceCode
      type: object
      properties:
        activityCode:
          title: CODACTI
          maxLength: 3
          minLength: 1
          type: string
          description: Code de l'activité
          x-tags:
            - Activité
        dateCreation:
          title: DATECREATION
          type: string
          format: date-time
        dateLastUpdate:
          title: DATELASTUPDATE
          type: string
          format: date-time
          nullable: true
        activityName:
          title: LIBACTI
          maxLength: 30
          minLength: 1
          type: string
          description: Nom de l'activité
          x-tags:
            - Activité
        subActivityCode:
          title: CODSACT
          maxLength: 3
          type: string
          description: Code de la sous activité
          nullable: true
        orderUniqueID:
          title: IDORDER
          maxLength: 20
          minLength: 1
          type: string
          description: Identifiant unique de la commande
          x-tags:
            - Entête Order
        operationType:
          title: TYPTRAI
          maxLength: 1
          type: string
          description: Traitement de la commande
          nullable: true
        clientTransmittedFlowName:
          title: CMDFLUX
          maxLength: 80
          type: string
          description: Nom du flux client ayant transmis la commande
          nullable: true
        ezyConnectIntegrationDate:
          title: DATEINT
          type: string
          description: Date d'intégration de la commande dans EzyConnect
          format: date-time
          nullable: true
        customerOrderID:
          title: IDCDECL
          maxLength: 30
          type: string
          description: Identifiant de la commande chez le client
          nullable: true
          x-tags:
            - Entête Order
        idcdefi:
          title: IDCDEFI
          maxLength: 30
          type: string
          nullable: true
        prepOrderGroupID:
          title: IDGROUP
          maxLength: 14
          type: string
          description: Identifiant pour un groupe de plusieurs ordres de préparation
          nullable: true
        commandChannelDescription:
          title: IDCANAL
          maxLength: 50
          type: string
          description: Description du canal de la commande
          nullable: true
          x-tags:
            - Entête Order
        commandType:
          title: TYPECDE
          maxLength: 50
          type: string
          description: Type de commande
          nullable: true
        customerOrderPlacementDate:
          title: DATECDE
          type: string
          description: Date où la commande a été passé par le client final
          format: date-time
        expectedPrepDate:
          title: DATEPRP
          type: string
          description: Date prévisionnelle où la commande doit être préparée
          format: date-time
          nullable: true
          x-tags:
            - Entête Order
        ownerStockCode:
          title: CODPROP
          maxLength: 3
          type: string
          description: Code du stock propriétaire
          nullable: true
        doManagedCustomerNumber:
          title: IDCLIEN
          maxLength: 50
          type: string
          description: N° du client géré par le DO
          nullable: true
        deliveryAddressTitle:
          title: LIVCIVI
          maxLength: 5
          type: string
          description: Adresse de livraison - Civilité
          nullable: true
          x-tags:
            - Entête Order
        deliveryAddressLastname:
          title: LIVRNOM
          maxLength: 30
          minLength: 1
          type: string
          description: Adresse de livraison - Nom
          x-tags:
            - Adresse de livraison
        deliveryAddressFirstname:
          title: LIVPNOM
          maxLength: 30
          type: string
          description: Adresse de livraison - Prénom
          nullable: true
          x-tags:
            - Adresse de livraison
        deliveryAddressCompany:
          title: LIVSCTE
          maxLength: 50
          type: string
          description: Adresse de livraison - Société
          nullable: true
          x-tags:
            - Adresse de livraison
        deliveryAddressAddress1:
          title: LIVADR1
          maxLength: 35
          minLength: 1
          type: string
          description: Adresse de livraison - Adresse 1
          x-tags:
            - Adresse de livraison
        deliveryAddressAddress2:
          title: LIVADR2
          maxLength: 35
          type: string
          description: Adresse de livraison - Adresse 2
          nullable: true
          x-tags:
            - Adresse de livraison
        deliveryAddressAddress3:
          title: LIVADR3
          maxLength: 35
          type: string
          description: Adresse de livraison - Adresse 3
          nullable: true
        deliveryAddressPostalCode:
          title: LIVCPOS
          maxLength: 20
          minLength: 1
          type: string
          description: Adresse de livraison - Code postal
        deliveryAddressCity:
          title: LIVVILL
          maxLength: 50
          minLength: 1
          type: string
          description: Adresse de livraison - Ville
          x-tags:
            - Adresse de livraison
        deliveryAddressCountry:
          title: LIVPAYS
          maxLength: 2
          minLength: 1
          type: string
          description: Adresse de livraison - Pays (Code ISO 3166-1 alpha-2)
          x-tags:
            - Adresse de livraison
        deliveryAddressPhone:
          title: LIVRTEL
          maxLength: 20
          minLength: 1
          type: string
          description: Adresse de livraison - Téléphone
          x-tags:
            - Adresse de livraison
        deliveryAddressFax:
          title: LIVRFAX
          maxLength: 20
          type: string
          description: Adresse de livraison - Fax
          nullable: true
          x-tags:
            - Adresse de livraison
        deliveryAddressEmail:
          title: LIVMAIL
          maxLength: 100
          minLength: 1
          type: string
          description: Adresse de livraison - Email
          x-tags:
            - Adresse de livraison
        deliveryAddressNameOption:
          title: LIVOPTN
          maxLength: 50
          type: string
          description: Option de nom pour l'adresse de livraison
          nullable: true
          x-tags:
            - Adresse de livraison
        deliveryComment:
          title: LIVCOMM
          maxLength: 200
          type: string
          description: Commentaire sur la livraison
          nullable: true
          x-tags:
            - Adresse de livraison
        billingAddressTitle:
          title: FACCIVI
          maxLength: 20
          type: string
          description: Adresse de facturation - Civilité
          nullable: true
          x-tags:
            - Adresse de livraison
        billingAddressLastname:
          title: FACTNOM
          maxLength: 50
          type: string
          description: Adresse de facturation - Nom
          nullable: true
        billingAddressFirstname:
          title: FACPNOM
          maxLength: 50
          type: string
          description: Adresse de facturation - Prénom
          nullable: true
        billingAddressCompany:
          title: FACSCTE
          maxLength: 50
          type: string
          description: Adresse de facturation - Société
          nullable: true
        billingAddressAddress1:
          title: FACADR1
          maxLength: 50
          type: string
          description: Adresse de facturation - Adresse 1
          nullable: true
        billingAddressAddress2:
          title: FACADR2
          maxLength: 50
          type: string
          description: Adresse de facturation - Adresse 2
          nullable: true
        billingAddressAddress3:
          title: FACADR3
          maxLength: 50
          type: string
          description: Adresse de facturation - Adresse 3
          nullable: true
        billingAddressPostalCode:
          title: FACCPOS
          maxLength: 10
          type: string
          description: Adresse de facturation - Code postal
          nullable: true
        billingAddressCity:
          title: FACVILL
          maxLength: 50
          type: string
          description: Adresse de facturation - Ville
          nullable: true
        billingAddressCountry:
          title: FACPAYS
          maxLength: 2
          type: string
          description: Adresse de facturation - Pays (Code ISO 3166-1 alpha-2)
          nullable: true
        billingAddressPhone:
          title: FACTTEL
          maxLength: 20
          type: string
          description: Adresse de facturation - Téléphone
          nullable: true
        billingAddressFax:
          title: FACTFAX
          maxLength: 20
          type: string
          description: Adresse de facturation - Fax
          nullable: true
        billingAddressMail:
          title: FACMAIL
          maxLength: 100
          type: string
          description: Adresse de facturation - Mail
          nullable: true
        customerInvoiceNumber:
          title: IDFACTU
          maxLength: 30
          type: string
          description: N° de facture client
          nullable: true
          x-tags:
            - Transport & Point relais
        invoiceIssuanceDate:
          title: DATEFAC
          type: string
          description: Date d'émission de la facture
          format: date-time
          nullable: true
        paymentMode:
          title: MODPAIE
          maxLength: 200
          type: string
          description: 'Mode de paiement '
          nullable: true
        paymentCurrency:
          title: DEVPAIE
          maxLength: 30
          type: string
          description: Devise utilisé pour le paiement
          nullable: true
        currencyRateToEuro:
          title: COURDEV
          type: integer
          description: Cours de la devise par rapport à l'euro
          format: int32
          nullable: true
        discountAmount:
          title: MTREMIS
          type: integer
          description: Montant de la remise
          format: int32
          nullable: true
        discountRate:
          title: TXREMIS
          type: integer
          description: Taux de remise
          format: int32
          nullable: true
        totalInvoiceHT:
          title: TOTALHT
          type: integer
          description: Total facture HT
          format: int32
          nullable: true
        totalInvoiceTTC:
          title: TOTALTC
          type: integer
          description: Total facture TTC
          format: int32
          nullable: true
          x-tags:
            - Transport & Point relais
        shippingCost:
          title: MTFPORT
          type: integer
          description: Montant des frais de port
          format: int32
          nullable: true
          x-tags:
            - Transport & Point relais
        shippingVATCode:
          title: TVAPORT
          type: integer
          description: Code TVA transport
          format: int32
          nullable: true
          x-tags:
            - Transport & Point relais
        invoiceNotes1:
          title: FACNOT1
          maxLength: 200
          type: string
          description: Notes a émettre sur la facture
          nullable: true
        invoiceNotes2:
          title: FACNOT2
          maxLength: 200
          type: string
          description: Notes a émettre sur la facture
          nullable: true
        invoiceNotes3:
          title: FACNOT3
          maxLength: 200
          type: string
          description: Notes a émettre sur la facture
          nullable: true
        intracommunityVATNumber:
          title: FACTTVA
          maxLength: 20
          type: string
          description: N° de TVA intra communautaire
          nullable: true
        transportCode:
          title: TRPCONT
          maxLength: 50
          type: string
          description: Code du  transport a utiliser
          nullable: true
        transportServiceCode:
          title: TRPGEST
          maxLength: 50
          minLength: 1
          type: string
          description: Code du Service/produit du transport a utiliser
          x-tags:
            - Transport & Point relais
        deliveryPickupPointID:
          title: IDPOINT
          maxLength: 25
          type: string
          description: Identifiant du point relais pour la livraison
          nullable: true
          x-tags:
            - Transport & Point relais
        pickupPointCountryCode:
          title: CPPOINT
          maxLength: 2
          type: string
          description: Code Pays du point relais
          nullable: true
          x-tags:
            - Transport & Point relais
        carrierImposed:
          title: TRPIMPO
          type: boolean
          description: Permet d'indiquer si le transporteur est imposé
          nullable: true
          x-tags:
            - Transport & Point relais
        transportInstruction:
          title: TRPINST
          maxLength: 50
          type: string
          description: Instruction de transport
          nullable: true
        counterReimbursementRequested:
          title: TRPCRBT
          type: boolean
          description: Indique si demande de contre remboursement
          nullable: true
        counterReimbursementAmount:
          title: MOTCRBT
          type: integer
          description: Montant du CRBT
          format: int32
          nullable: true
        totalAdValoremAmount:
          title: TOTADVA
          type: integer
          description: 'Montant ADVALOREM pour l''ensembre de l''expédition '
          format: int32
          nullable: true
        saturdayDeliveryRequired:
          title: IMPELIV
          type: boolean
          description: Livraison Impérative le samedi
          nullable: true
        recipientNotification:
          title: NOTILIV
          type: boolean
          description: Notification du destinataire
          nullable: true
        saturdayDeliveryDate:
          title: DATELIV
          type: string
          description: Date de livraison pour le samedi
          format: date-time
          nullable: true
        transportRecipientName:
          title: DESTNOM
          maxLength: 100
          type: string
          description: 'Transport - Nom du destinataire '
          nullable: true
        transportRecipientContact:
          title: DESTCON
          maxLength: 100
          type: string
          description: Transport - Contact destinataire
          nullable: true
        transportAppointmentWithCustomer:
          title: DESTRDV
          maxLength: 100
          type: string
          description: Transport - Prise de RDV avec le client final
          nullable: true
        transportSenderName:
          title: DESTLAB
          maxLength: 100
          type: string
          description: Transport - Nom de l'expéditeur
          nullable: true
        orderProcessingPriority:
          title: PRIORIT
          type: integer
          description: Priorité de traitement de la commande
          format: int32
          nullable: true
        requiresParcelShelter:
          title: ASILECDE
          type: boolean
          description: Indique si la commande nécessite un asile colis
          nullable: true
        requiresGiftPackaging:
          title: TYPEKDO
          type: boolean
          description: Indique si la commande nécessite un emballage cadeau
          nullable: true
        shippingLabelMessage:
          title: MESGCDE
          maxLength: 200
          type: string
          description: 'Message a imprimer sur le BL '
          nullable: true
        specificGiftMessage:
          title: CARTKDO
          maxLength: 200
          type: string
          description: Imprime un message cadeaux spécifique
          nullable: true
        preparationInstructions:
          title: INSTPRP
          maxLength: 200
          type: string
          description: Instructions de préparation
          nullable: true
        documentLanguage:
          title: IMPLANG
          maxLength: 10
          type: string
          description: Indique la langue utilisé pour les documents (BL, facture..)
          nullable: true
        orderBreakCriterion:
          title: RUPTCDE
          maxLength: 5
          type: string
          description: Critère de rupture a la commande
          nullable: true
        customField1:
          title: SPECIF1
          maxLength: 200
          type: string
          description: 'Champ spécifique '
          nullable: true
        customField2:
          title: SPECIF2
          maxLength: 200
          type: string
          description: 'Champ spécifique '
          nullable: true
        customField3:
          title: SPECIF3
          maxLength: 256
          type: string
          description: 'Champ spécifique '
          nullable: true
        customField4:
          title: SPECIF4
          maxLength: 256
          type: string
          description: 'Champ spécifique '
          nullable: true
        customField5:
          title: SPECIF5
          maxLength: 256
          type: string
          description: 'Champ spécifique '
          nullable: true
        customField6:
          title: SPECIF6
          maxLength: 256
          type: string
          description: 'Champ spécifique '
          nullable: true
        customField7:
          title: SPECIF7
          maxLength: 256
          type: string
          description: 'Champ spécifique '
          nullable: true
        customField8:
          title: SPECIF8
          maxLength: 256
          type: string
          description: 'Champ spécifique '
          nullable: true
        customField9:
          title: SPECIF9
          maxLength: 256
          type: string
          description: 'Champ spécifique '
          nullable: true
        customField10:
          title: SPECIF10
          maxLength: 256
          type: string
          description: 'Champ spécifique '
          nullable: true
        customField11:
          title: SPECIF11
          maxLength: 256
          type: string
          description: 'Champ spécifique '
          nullable: true
        customField12:
          title: SPECIF12
          type: string
          description: 'Champ spécifique '
          format: date-time
          nullable: true
        customField13:
          title: SPECIF13
          type: string
          description: 'Champ spécifique '
          format: date-time
          nullable: true
        customField14:
          title: SPECIF14
          type: string
          description: 'Champ spécifique '
          format: date-time
          nullable: true
        customField15:
          title: SPECIF15
          type: string
          description: 'Champ spécifique '
          format: date-time
          nullable: true
        incotrm:
          title: INCOTRM
          maxLength: 10
          type: string
          nullable: true
          x-tags:
            - International CN23
        internalId:
          type: integer
          format: int64
        orderEntries:
          type: array
          items:
            $ref: '#/components/schemas/OrderEntry'
          nullable: true
        orderSubOrders:
          type: array
          items:
            $ref: '#/components/schemas/OrderSubOrder'
          nullable: true
        id:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    OperationResult:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/StatusEnum'
        operationId:
          type: string
          nullable: true
          readOnly: true
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/OperationError'
          nullable: true
          readOnly: true
        passed:
          type: array
          items:
            type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    OrderEntry:
      required:
        - articleReference
        - orderLineID
        - quantityToPrepare
      type: object
      properties:
        id:
          type: integer
          format: int64
        dateCreation:
          title: DATECREATION
          type: string
          format: date-time
        dateLastUpdate:
          title: DATELASTUPDATE
          type: string
          format: date-time
          nullable: true
        orderLineID:
          title: IDLIGNE
          maxLength: 35
          minLength: 1
          type: string
          description: N° de ligne de commande
        lineItemUniqueID:
          title: IDENTIFIANT
          type: integer
          description: Identifiant unique de la ligne de commande
          format: int32
          nullable: true
          x-tags:
            - Ligne de commande
        idlignelog:
          title: IDLIGNELOG
          type: integer
          format: int32
          nullable: true
        articleReference:
          title: CODARTI
          maxLength: 17
          minLength: 1
          type: string
          description: Référence article
        ownerStockCode:
          title: CODPROP
          maxLength: 3
          type: string
          description: Code du stock propriétaire
          nullable: true
          x-tags:
            - Ligne de commande
        quantityToPrepare:
          title: QTTECDE
          type: integer
          description: Quantité a préparer
          format: int32
        remainingQuantityToDeliver:
          title: QTTREST
          type: integer
          description: Quantité restante a livrer
          format: int32
          nullable: true
          x-tags:
            - Ligne de commande
        unitPriceHT:
          title: PRXUTHT
          type: integer
          description: Prix unitaire HT de l'article
          format: int32
          nullable: true
        unitPriceTTC:
          title: PRXUTTC
          type: integer
          description: Prix unitaire TTC de l'article
          format: int32
          nullable: true
          x-tags:
            - International CN23
        articleVATRate:
          title: TAUXTVA
          type: integer
          description: Taux de la TVA appliquée a l'article
          format: int32
          nullable: true
          x-tags:
            - International CN23
        articleVATAmount:
          title: MONTTVA
          type: integer
          description: Montant de la TVA de l'article
          format: int32
          nullable: true
          x-tags:
            - International CN23
        attachedLotNumber:
          title: NUMRLOT
          maxLength: 35
          type: string
          description: N° du lot dont l'article est attaché
          nullable: true
          x-tags:
            - International CN23
        articleNatureCN23:
          title: NATARTI
          maxLength: 35
          type: string
          description: Nature des articles de la commande (CN23)
          nullable: true
        articleCRBTAmount:
          title: MTTCRBT
          type: integer
          description: Montant du CRBT de l'article
          format: int32
          nullable: true
          x-tags:
            - International CN23
        articleCN23CustomsCode:
          title: CODDOUA
          maxLength: 15
          type: string
          description: Code douanier nécessaire au CN23
          nullable: true
        articleOriginCountry:
          title: CODPROV
          maxLength: 15
          type: string
          description: 'Code ISO 3166-1 alpha-2 du pays de provenance de l''article (CN23) '
          nullable: true
          x-tags:
            - International CN23
        articleInsuredAmount:
          title: ADVALOR
          maxLength: 6
          type: string
          description: Montant assuré par article
          nullable: true
          x-tags:
            - International CN23
        articlePreparationComment:
          title: COMPREP
          maxLength: 200
          type: string
          description: Commentaire de préparation a la ligne article
          nullable: true
        articleComment:
          title: MESGART
          maxLength: 200
          type: string
          description: Commentaire a l'article pour le BL, facture..
          nullable: true
        articleBLDesignation:
          title: DESLANG
          maxLength: 200
          type: string
          description: Désignation de l'article a afficher sur le BL
          nullable: true
        articleHasSerialNumber:
          title: NOSERIE
          type: boolean
          description: Article a numéro de série
          nullable: true
        articleHasDLUO:
          title: DLVARTI
          type: boolean
          description: Article a DLUO
          nullable: true
        articleHasLotNumber:
          title: NOLOTS
          type: boolean
          description: Article a N° de lot
          nullable: true
        articleRequiresIngredientLabel:
          title: INGARTI
          type: boolean
          description: Article nécessitant une étiquette ingrédient
          nullable: true
        lineBreakCriterion:
          title: RUPTLNG
          maxLength: 5
          type: string
          description: Critère de rupture a la ligne
          nullable: true
        customField1:
          title: SPECIF1
          type: integer
          description: 'Champ spécifique '
          format: int32
          nullable: true
        customField2:
          title: SPECIF2
          type: integer
          description: 'Champ spécifique '
          format: int32
          nullable: true
        customField3:
          title: SPECIF3
          type: string
          description: 'Champ spécifique '
          format: date-time
          nullable: true
        customField4:
          title: SPECIF4
          type: string
          description: 'Champ spécifique '
          format: date-time
          nullable: true
        customField5:
          title: SPECIF5
          maxLength: 256
          type: string
          description: 'Champ spécifique '
          nullable: true
        customField6:
          title: SPECIF6
          maxLength: 256
          type: string
          description: 'Champ spécifique '
          nullable: true
        customField7:
          title: SPECIF7
          maxLength: 256
          type: string
          description: 'Champ spécifique '
          nullable: true
        customField8:
          title: SPECIF8
          maxLength: 256
          type: string
          description: 'Champ spécifique '
          nullable: true
        customField9:
          title: SPECIF9
          maxLength: 256
          type: string
          description: 'Champ spécifique '
          nullable: true
        customField10:
          title: SPECIF10
          maxLength: 256
          type: string
          description: 'Champ spécifique '
          nullable: true
        customField11:
          title: SPECIF11
          maxLength: 256
          type: string
          description: 'Champ spécifique '
          nullable: true
        customField12:
          title: SPECIF12
          maxLength: 200
          type: string
          description: 'Champ spécifique '
          nullable: true
        gradeCode:
          title: R_CODEQUALITE
          maxLength: 3
          type: string
          description: Code qualite du stock
          nullable: true
        allowPackagingSubstitution:
          title: ANYLV
          type: boolean
          description: >-
            Autorise la substitution du niveau de conditionnement si le niveau
            exact n’est pas disponible en stock.
          nullable: true
      additionalProperties: false
    OrderSubOrder:
      type: object
      properties:
        id:
          type: integer
          format: int64
        dateCreation:
          title: DATECREATION
          type: string
          format: date-time
        dateLastUpdate:
          title: DATELASTUPDATE
          type: string
          format: date-time
          nullable: true
        clientOrderID:
          title: IDCMDCL
          maxLength: 30
          type: string
          description: Identifiant de la commande chez le client
          nullable: true
        clientOrderPlacementDate:
          title: SDATCDE
          type: string
          description: Date où la commande a été passé par le client final
          format: date-time
          nullable: true
        subOrderHeader:
          title: ENTTCMD
          maxLength: 30
          type: string
          description: Entête de la commande
          nullable: true
        subOrderClientMessage:
          title: MESGSCM
          maxLength: 200
          type: string
          description: Message a la sous commande client
          nullable: true
        subOrderBreakCriterion:
          title: RUPTSOR
          maxLength: 5
          type: string
          description: Critère de rupture a la sous commande
          nullable: true
        customField1:
          title: SPECIF1
          type: string
          description: 'Champ spécifique '
          format: date-time
          nullable: true
        customField2:
          title: SPECIF2
          type: string
          description: 'Champ spécifique '
          format: date-time
          nullable: true
        customField3:
          title: SPECIF3
          type: integer
          description: 'Champ spécifique '
          format: int32
          nullable: true
        customField4:
          title: SPECIF4
          type: integer
          description: 'Champ spécifique '
          format: int32
          nullable: true
        customField5:
          title: SPECIF5
          maxLength: 256
          type: string
          description: 'Champ spécifique '
          nullable: true
        customField6:
          title: SPECIF6
          maxLength: 256
          type: string
          description: 'Champ spécifique '
          nullable: true
        customField7:
          title: SPECIF7
          maxLength: 256
          type: string
          description: 'Champ spécifique '
          nullable: true
        customField8:
          title: SPECIF8
          maxLength: 256
          type: string
          description: 'Champ spécifique '
          nullable: true
        customField9:
          title: SPECIF9
          maxLength: 256
          type: string
          description: 'Champ spécifique '
          nullable: true
        customField10:
          title: SPECIF10
          maxLength: 256
          type: string
          description: 'Champ spécifique '
          nullable: true
        customField11:
          title: SPECIF11
          maxLength: 256
          type: string
          description: 'Champ spécifique '
          nullable: true
        customField12:
          title: SPECIF12
          maxLength: 200
          type: string
          description: 'Champ spécifique '
          nullable: true
        orderEntries:
          type: array
          items:
            $ref: '#/components/schemas/OrderEntry'
          nullable: true
          x-tags:
            - Commande
      additionalProperties: false
    StatusEnum:
      enum:
        - 0
        - 1
        - 2
      type: integer
      format: int32
    OperationError:
      type: object
      properties:
        code:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: oauth2
      description: |-
        JWT Authorization header using the Bearer scheme. \r\n\r\n 
                          Enter 'Bearer' [space] and then your token in the text input below.
                          \r\n\r\nExample: 'Bearer 12345abcdef'
      flows:
        authorizationCode:
          authorizationUrl: https://auth.ezytail.com/connect/authorize
          tokenUrl: https://auth.ezytail.com/connect/token
          scopes:
            ezy_connect: EzyConnect API Scope

````